Get Document
curl --request GET \
--url https://api.libraria.ai/library/{library_id}/document/{document_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.libraria.ai/library/{library_id}/document/{document_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.libraria.ai/library/{library_id}/document/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "doc_1",
"url": "https://example.com/document/doc_1",
"sourceUrl": "https://example.com/document/doc_1",
}
Libraria API
Get Document
Get a document from a library
GET
/
library
/
{library_id}
/
document
/
{document_id}
Get Document
Parameters
string
required
The ID of the library to retrieve the document from
string
required
The ID of the document to retrieve
Response
string
The ID of the document that was retrieved
string
The URL of the document
string
The URL of the document’s source
string
one of queued, running, success, or failed
{
"id": "doc_1",
"url": "https://example.com/document/doc_1",
"sourceUrl": "https://example.com/document/doc_1",
}
⌘I

